import React from 'react';
import { CropperProps as DefaultCropperProps, ImageRestriction, ScaleImageOptions } from 'react-advanced-cropper';
import { PublicNavigationProps } from './Navigation';
export interface CropperProps extends Omit<DefaultCropperProps, 'transitions' | 'priority' | 'imageRestriction' | 'stencilSize' | 'stencilConstraints' | 'transformImage'> {
    spinnerClassName?: string;
    resizeImage?: boolean | Omit<ScaleImageOptions, 'adjustStencil'>;
    navigation?: boolean;
    navigationProps?: PublicNavigationProps;
    imageRestriction?: ImageRestriction.none | ImageRestriction.stencil;
}
export declare const Cropper: React.ForwardRefExoticComponent<CropperProps & React.RefAttributes<unknown>>;
